# graynet

[![DOI](http://joss.theoj.org/papers/10.21105/joss.00924/status.svg)](https://doi.org/10.21105/joss.00924)
[![Build Status](https://travis-ci.org/raamana/graynet.svg?branch=master)](https://travis-ci.org/raamana/graynet)
[![Code Health](https://landscape.io/github/raamana/graynet/master/landscape.svg?style=flat)](https://landscape.io/github/raamana/graynet/master)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/fbf3c0d5d0214ab4ae059875819be9f0)](https://www.codacy.com/app/raamana/graynet?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=raamana/graynet&amp;utm_campaign=Badge_Grade)
[![Python versions](https://img.shields.io/badge/python-3.5%2C%203.6-blue.svg)]

Individualized single-subject networks from T1 mri features such as cortical thickness, gray matter density, subcortical morphometric features, gyrification and curvature. 

Applicable for whenever network-level features are useful, among which common use cases are 
 - biomarker development and 
 - brain-behaviour relationships (e.g. for the diagnosis and prognosis of many brain disorders such as Alzheimer's, Parkinson's, Schizophrenia and the like).
 - aging (changes in network properties over age and their relations to other variables)

Docs: https://raamana.github.io/graynet/

Quick Illustration:

![graynet_flyer](docs/vis/graynet_flyer.jpg)

## Installation

`pip install -U graynet`

Thanks.

